/* ---- Header ---- */
/* The modernizr.js script will add the 'webp' class to the HTML element; therefore, we can check whether the browser supports WebP images or not and apply the code accordingly.*/
/* This is necessary because the image is added via CSS instead of HTML, so we do not have access to the picture element to choose the most optimized image format. */

.webp .header {
    background-image: url('../img/banner.webp'); 
}

.no-webp .header {
    background-image: url('../img/banner.jpg'); /* This is necessary, .webp .header {} will not apply because of CSS's priority to the most specific selector. */
}

.header {
    height: 60rem;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center; /* Defines which position (horizontally and vertically) is primarily shown. It can also be used with % */
    position: relative;
}

/* Additional styles for header content */
.header h1 {
    text-align: center;
    padding: 20px;
    color: #fff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
